function const = MG_Default_Const( exp )
% MG_DEFAULT_CONST - set default constants for the 1-D Mirror-Game
% const = MG_Default_Const(exp) -
%
% input:
% exp = 'Pilot_09'
%
% output:
% const - structure with the following fields:
% System Units
%        const.Ticks2MM = 0.94;
%         const.Length = 545.20; % mm
%         const.Samples_Per_Sec = 50; % HZ

% Segment Thresholds
%         const.min_seg_time = 0.2; % in sec
%         const.max_seg_time = 8.0; % in sec
%         const.min_seg_length = 30;  % minimal displacement, currenty in
%         ticks, adapt sometime to mm (change MG_Segment_Vel_One_Player)
% 



if ~exist('exp','var'),
    exp = 'Pilot_09';
end

switch( exp ),
    case 'Pilot_09',
        
        const.Ticks2MM = 0.94;
        const.Length = 545.20; % mm
        
        const.Samples_Per_Sec = 50; % HZ
        
        
        % 15-01-2014, place all segment threshold in one place
        
    % 22-11-2012, new norm for all project
    % minimal segment length = 200ms, allow at least 10 sample points (1000/200ms =>  50Hz/5 = 10). 
    % segments are 1/2-cycle, so this limit to 400ms back-and-forth cycles => 2.5Hz.
        const.min_seg_time = 0.2;
        const.max_seg_time = 8.0;
        const.min_seg_length = 30;  % minimal displacement
               
end







