function params = add_default(params, key, value)
% ADD_DEFAULT - check if a key exist in params, and add a default value if not 
% params = add_default(params, key, value) - 
% input:
% params - structure (or [])
% key - string
% value - anything
%
% output:
% params - updated structure
%
% example: params = add_default( params, 'num_of_jumps', 17 )

if ~exist('params','var'),
    params = [];
end

if ~isfield( params, key ),
    params = setfield( params, key, value ); %#ok<SFLD>
end
